Subject: Re: bug#30937: In `comment-region', C-g doesn't work.

From: Noam Postavsky <[email-masked]>
Date: Sat, 31 Mar 2018 10:21:05 -0400

Alan Mackenzie <[email-masked]> writes:

> Hello, Eli.
>
> On Sun, Mar 25, 2018 at 18:32:10 +0300, Eli Zaretskii wrote:
>> > Date: Sun, 25 Mar 2018 14:28:55 +0000
>> > From: Alan Mackenzie <[email-masked]>
>
>> > emacs-26.0.91 -Q
>> > C-x C-f Any largish file.c
>> > C-x h                 ; mark buffer.
>> > C-c C-c               ; comment-region.
>
>> > This is the sort of thing that can happen by accident.  Depending on the
>> > size of the file.c and the speed of your machine, you've now got a long,
>> > long wait.  C-g doesn't work.  This is a bug.
>
>> C-g does work for me just fine in the above recipe.  Maybe it's
>> platform dependent, and the problem happens only on X?
>
> Yes, I've just tried it on X.  It works there (except it leaves point in
> a suboptimal position: the starting point.  It should really leave point
> after the last newly commented line when the quit happened).  It works
> on emacs -nw, with the same proviso.
>
> It doesn't work at all on a Linux tty.  Sorry I didn't try X before
> reporting the bug.

I'm not able to reproduce this on a Linux tty (I assume that means the
virtual terminal you get when pressing Ctrl+Alt+F1).